org.richfaces.component

## Enum UICollapsibleSubTableToggleControl.Properties

- java.lang.Object
- - java.lang.Enum<UICollapsibleSubTableToggleControl.Properties>
  - - org.richfaces.component.UICollapsibleSubTableToggleControl.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UICollapsibleSubTableToggleControl.Properties>
  Enclosing class:
    UICollapsibleSubTableToggleControl

      protected static enum UICollapsibleSubTableToggleControl.Properties
      extends Enum<UICollapsibleSubTableToggleControl.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `collapsedIcon`
    `collapsedLabel`
    `event`
    `expandedIcon`
    `expandedLabel`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UICollapsibleSubTableToggleControl.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UICollapsibleSubTableToggleControl.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### collapsedIcon

          public static final UICollapsibleSubTableToggleControl.Properties collapsedIcon

    - #### collapsedLabel

          public static final UICollapsibleSubTableToggleControl.Properties collapsedLabel

    - #### event

          public static final UICollapsibleSubTableToggleControl.Properties event

    - #### expandedIcon

          public static final UICollapsibleSubTableToggleControl.Properties expandedIcon

    - #### expandedLabel

          public static final UICollapsibleSubTableToggleControl.Properties expandedLabel

  - ### Method Detail

    - #### values

          public static UICollapsibleSubTableToggleControl.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UICollapsibleSubTableToggleControl.Properties c : UICollapsibleSubTableToggleControl.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UICollapsibleSubTableToggleControl.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.